> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDN activity logs details

> Get information about CDN activity logs record.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/activity_log/requests/{log_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/activity_log/requests/{log_id}:
    get:
      tags:
        - CDN activity logs
      summary: Get CDN activity logs details
      description: Get information about CDN activity logs record.
      operationId: get-activity-logs-details
      parameters:
        - $ref: '#/components/parameters/ID'
      responses:
        '200':
          $ref: '#/components/responses/Details'
        '401':
          description: >-
            Authentication credentials were not provided or the given token is
            not valid for any token type.
        '404':
          description: Activity logs record is not found.
components:
  parameters:
    ID:
      name: log_id
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/ID'
  responses:
    Details:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ActivityLogsDetails'
          example:
            id: 1
            user_id: 174
            token_id: 3
            client_id: 174
            requested_at: '2021-07-07T09:02:29.871030Z'
            path: /resources/1/purge
            remote_ip_address: 1.2.3.4
            host: api.gcore.com
            method: POST
            query_params: '{}'
            data:
              paths:
                - /url-path-1
                - /url-path-2
            status_code: 201
            actions: []
  schemas:
    ID:
      type: integer
      description: Activity logs record ID.
    ActivityLogsDetails:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/ID'
        user_id:
          $ref: '#/components/schemas/UserID'
        token_id:
          $ref: '#/components/schemas/TokenID'
        client_id:
          $ref: '#/components/schemas/ClientID'
        requested_at:
          $ref: '#/components/schemas/RequestedAt'
        path:
          $ref: '#/components/schemas/Path'
        remote_ip_address:
          $ref: '#/components/schemas/RemoteIPAddress'
        host:
          $ref: '#/components/schemas/Host'
        method:
          $ref: '#/components/schemas/Method'
        query_params:
          $ref: '#/components/schemas/QueryParams'
        data:
          $ref: '#/components/schemas/Data'
        status_code:
          $ref: '#/components/schemas/StatusCode'
        actions:
          $ref: '#/components/schemas/Actions'
    UserID:
      type: integer
      description: ID of the user who made the request.
    TokenID:
      type: integer
      description: Permanent API token ID with which the request was made.
    ClientID:
      type: integer
      description: ID of the client who made the request.
    RequestedAt:
      type: string
      description: Date and time when the request was made.
    Path:
      type: string
      description: Request URL.
    RemoteIPAddress:
      type: string
      description: IP address from which the request was made.
    Host:
      type: string
      description: Host from which the request was made.
    Method:
      type: string
      description: Request HTTP method.
    QueryParams:
      type: string
      description: Request parameters.
    Data:
      type: object
      description: Request body.
    StatusCode:
      type: integer
      description: Status code that is returned in the response.
    Actions:
      type: array
      description: State of a requested object before and after the request.
      items:
        type: object
        properties:
          action_type:
            $ref: '#/components/schemas/ActionType'
          state_before_request:
            $ref: '#/components/schemas/StateBeforeRequest'
          state_after_request:
            $ref: '#/components/schemas/StateAfterRequest'
    ActionType:
      type: string
      description: |-
        Type of change.

        Possible values:
        - **D** - Object is deleted.
        - **C** - Object is created.
        - **U** - Object is updated.
    StateBeforeRequest:
      type: object
      description: JSON representation of object before the request.
    StateAfterRequest:
      type: object
      description: JSON representation of object after the request.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````